Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.model.markup
Interface IBaseResponseContext

All Known Subinterfaces:
  IBlockingInteractionBaseResponseContext, IBlockingInteractionResponseContext, IGetMarkupBaseResponseContext, IGetMarkupResponseContext, IGetRenderDependenciesResponseContext, IGetResourceResponseContext, IHandleEventsResponseContext, IInitCookieResponseContext, IReleaseSessionsResponseContext

    public interface IBaseResponseContext

A base interface for all response context objects (getMarkup, performBlockingInteraction, initCookie, and handleEvents). This provides access to set-cookies and http headers received from a producer.

This interface is intended to be implemented only by BEA Weblogic Portal. BEA Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of BEA Weblogic Portal.

Method Summary
`Map<String,List<String>>` | `getMimeHeaders()` Returns a map of http header names and a list of values associated with a header.
`String` | `getNamespaceUri()` When this response is transported over SOAP, this method returns the namespace URI used to carry the response message.
`List<String>` | `getResponseCookies()` Returns a list of set-cookies recieved from a producer.
`void` | `render(javax.servlet.http.HttpServletRequest httpServletRequest, javax.servlet.http.HttpServletResponse httpServletResponse, String resourcePath)` Renders the results of the supplied resource, the request dispatcher is used to evaluate.

Method Detail

### getResponseCookies

    List<String> getResponseCookies()

  Returns a list of set-cookies recieved from a producer. The string value doesn't contain "Set-Cookie:" token.

  Returns
    a list of set-cookies recieved from a producer.
  Throws
    `UnsupportedOperationException` - if there is no underlying response SOAP message.

### render

    void render(javax.servlet.http.HttpServletRequest httpServletRequest,
                javax.servlet.http.HttpServletResponse httpServletResponse,
                String resourcePath)
                throws javax.servlet.ServletException,
                       IOException

  Renders the results of the supplied resource, the request dispatcher is used to evaluate. The current web application should be able to evaluate the supplied resource(.jsp, .jpf, etc).

  Parameters
    `httpServletRequest` - the current http request associated with this response context, can be accessed from the corresponding request context.
    `httpServletResponse` - the current http response associated with this response context, can be accessed from the corresponding response context.
    `resourcePath` - a fully qualified path to a resource
  Throws
    `javax.servlet.ServletException` - thrown by the current requestDispatcher's include method.
    `IOException` - thrown by the current requestDispatcher's include method.

### getMimeHeaders

    Map<String,List<String>> getMimeHeaders()

  Returns a map of http header names and a list of values associated with a header. Both the returned map and the list values are unmodifiable. These headers received from the Producer associated with this context.

  Returns
    a map of http headers and their values.
  Throws
    `UnsupportedOperationException` - if there is no underlying SOAP message (response).

### getNamespaceUri

    String getNamespaceUri()

  When this response is transported over SOAP, this method returns the namespace URI used to carry the response message. For example, when this response was obtained from a producer supporting WSRP 1.0, this method will return urn:oasis:names:tc:wsrp:v1:types.

  Returns
    namsepace URI

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved